<?php

class AbstractTests extends DZF_Helpers_TestCaseBase
{
    public function testGetHttpClient()
    {
        $client = new Zend_Http_Client();
        $transport = new TransportTest();
        $transport::setHttpClient($client);

        $result = $transport::getHttpClient();

        $this->assertEquals($client, $result);
    }

    public function testGetHttpClientNotIsset()
    {
        $transport = new TransportTest();
        $transport::setHttpClient(null);

        $result = $transport::getHttpClient();

        $this->assertNotNull($result);
    }

    public function testSendSms()
    {
        $transport = new TransportTest();

        $result = $transport->sendSms('+158795459', 'Test content');

        $this->assertEquals(true, $result);
    }
}
