<?php

class GravatarSourceTests extends DZF_Helpers_TestCaseBase
{
    public function testGravatarSource()
    {
        $email = 'test@gmail.com';
        $expectedSource = 'http://www.gravatar.com/avatar/1aedb8d9dc4751e229a335e371db8058';

        $form = new TestView();
        $gravatarSource = new DZF_View_Helper_GravatarSource();
        $gravatarSource->setView($form);
        $result = $gravatarSource->gravatarSource($email);

        $this->assertEquals($expectedSource, $result);
    }
}
