<?php

class MinifyHeadLinkTests extends DZF_Helpers_TestCaseBase
{
    public function testMinifyHeadLinkAppend()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->minifyHeadLink(null,Zend_View_Helper_Placeholder_Container_Abstract::APPEND);

        $this->assertNotNull($result);
    }

    public function testMinifyHeadLinkSet()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->minifyHeadLink(null,Zend_View_Helper_Placeholder_Container_Abstract::SET);

        $this->assertNotNull($result);
    }

    public function testMinifyHeadLinkPrepend()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->minifyHeadLink(null,Zend_View_Helper_Placeholder_Container_Abstract::PREPEND);

        $this->assertNotNull($result);
    }

    public function testIsValidStyleSheetExtensionFalse()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->isValidStyleSheetExtension('test string');
        $this->assertEquals(false, $result);
        $this->assertNotNull($result);
    }

    public function testIsValidStyleSheetExtensionTrue()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->isValidStyleSheetExtension('test.css string.css');
        $this->assertEquals(true, $result);
        $this->assertNotNull($result);
    }

    public function testToString()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->toString('test.css string.css');

        $this->assertEquals('test.css string.css', $result);
    }

    public function testGetMinUrl()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->getMinUrl();

        $this->assertEquals('/min/', $result);
    }

    public function testGetBaseUrl()
    {
        $minifyHeadLink = new DZF_View_Helper_MinifyHeadLink();

        $result = $minifyHeadLink->getBaseUrl();

        $this->assertEquals(null, $result);
    }
}
