<?php

class DZF_Validate_NicknameTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'Test nick name';
        $valueNotValid1 = 'Ni';
        $valueNotValid2 = 'Test nick name Test nick name Test nick name Test nick name Test nick name Test nick name Test nick name';

        $nickName = new DZF_Validate_Nickname();

        $result = $nickName->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $nickName->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $nickName->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }

    public function testIsValidException()
    {
        $valueValid = ':::';

        $nickName = new DZF_Validate_Nickname();

        $result = $nickName->isValid($valueValid);

        $this->assertFalse($result);
    }
}
