<?php

class FormatTimeMicrosecondsTests extends DZF_Helpers_TestCaseBase
{
    public function testFormatTimeMicroseconds10()
    {
        $sec = 10;
        $expectedSec = '10.00 ms';

        $form = new TestView();
        $formatTime = new DZF_View_Helper_FormatTimeMicroseconds();
        $formatTime->setView($form);
        $result = $formatTime->formatTimeMicroseconds($sec);

        $this->assertEquals($expectedSec, $result);
    }

    public function testFormatTimeMicroseconds3600()
    {
        $sec = 3600;
        $expectedSec = '3.60 s';

        $form = new TestView();
        $formatTime = new DZF_View_Helper_FormatTimeMicroseconds();
        $formatTime->setView($form);
        $result = $formatTime->formatTimeMicroseconds($sec);

        $this->assertEquals($expectedSec, $result);
    }
}
