<?php

class DZF_View_Helper_Navigation_MenuTests extends DZF_Helpers_TestCaseBase
{
    public function testHtmlify()
    {
        $expectedResult = '<a escape="escape" escape="escape">escape</a>';

        $navigationMenuTest = new NavigationMenuTest();
        $navigationMenuTest->setLabel('testLabel');
        $navigationMenuTest->setTitle('testTitle');

        $menu = new DZF_View_Helper_Navigation_Menu();
        $view = new ViewInterfaceTest();
        $menu->setView($view);

        $result = $menu->htmlify($navigationMenuTest);

        $this->assertEquals($expectedResult, $result);
    }

    public function testHtmlifyGetHrefFalse()
    {
        $expectedResult = '<span escape="escape">escape</span>';

        $navigationMenuTest = new NavigationMenu2Test();
        $navigationMenuTest->setLabel('testLabel');
        $navigationMenuTest->setTitle('testTitle');

        $menu = new DZF_View_Helper_Navigation_Menu();
        $view = new ViewInterfaceTest();
        $menu->setView($view);

        $result = $menu->htmlify($navigationMenuTest);

        $this->assertEquals($expectedResult, $result);
    }
}
