<?php

class DZF_View_Helper_RelativeTimeTests extends DZF_Helpers_TestCaseBase
{
    public function testRelativeTime()
    {
        $expected = 'gerade eben';

        $relativeTime = new DZF_View_Helper_RelativeTime();

        $translate = $relativeTime->relativeTime(2574432111);

        $this->assertEquals($expected, $translate);
    }

    public function testRelativeTime2()
    {
        $expected = 'gerade eben';

        $relativeTime = new DZF_View_Helper_RelativeTime();

        $translate = $relativeTime->relativeTime(2574432112, 2234432112);

        $this->assertEquals($expected, $translate);
    }

    public function testRelativeTime3()
    {
        $expected = 'vor 49 Jahren';

        $relativeTime = new DZF_View_Helper_RelativeTime();

        $translate = $relativeTime->relativeTime(123, 1574432112);

        $this->assertEquals($expected, $translate);
    }
}
