<?php
// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('UserVersion', 'doctrine');

abstract class BaseUserVersion extends Doctrine_Record
{
    public function setTableDefinition()
    {
        $this->setTableName('dzf_user_version');

        $this->hasColumn(
            'id', 'integer', 8,
            array(
                'type' => 'integer',
                'length' => 8,
                'primary' => true,
                'autoincrement' => true
            )
        );

        $this->hasColumn('version', 'integer', 10, array(
            'unsigned'  => true,
            'notnull'   => true
        ));
    }
}
